Subject: git on Cygwin: Not a valid object name HEAD

From: Sebastian Schuberth <[email-masked]>
Date: Tue, 07 Aug 2007 11:02:13 +0200

Hi,

I'm running git 1.5.2.2 under Cygwin on Windows XP. This is what I'm 
(reproducibly) getting if I try to clone QGit's repository:

sschuber@xp-sschuber2 ~
$ git clone git://git.kernel.org/pub/scm/qgit/qgit4.git
Initialized empty Git repository in /home/sschuber/qgit4/.git/
remote: Generating pack...
remote: Done counting 2295 objects.
remote: Deltifying 2295 objects...
remote:  100% (2295/2295) done
Indexing 2295 objects...
remote: Total 2295 (delta 1793), reused 1218 (delta 955)
  100% (2295/2295) done
Resolving 1793 deltas...
  100% (1793/1793) done
: not a valid SHA1b870df7cde1e05ee76d1d15ea428f
fatal: Not a valid object name HEAD

sschuber@xp-sschuber2 ~
$ git --version
git version 1.5.2.2

I'm not sure whether the cause for this is the same as mentioned at

http://article.gmane.org/gmane.comp.version-control.git/54825

However, the most recent msysGit worked fine for me. Any clues whether 
this is a repository problem, a Cygwin problem, or a git problem?

Thanks.

-- 
Sebastian Schuberth